Unity 플러그인용 Vungle Windows SDK v.2.0 이상 준비하기

Unity Plugin을 통합하기 전에 이 지침에 따라 Vungle Windows SDK(버전 2.0 이상)를 준비하십시오. 이 지침을 모두 완료한 후에는 Vungle 시작하기(SDK v. 5.1 이상) - Unity를 계속 진행하십시오.

목차

지원되는 Unity 버전

  • Windows(Universal 8.1 또는 Phone 8.1)는 Unity 4 및 Unity 5.3.2 이상을 지원합니다.
  • Windows 10 UWP는 Unity 5.3.2 이상을 지원합니다.

Windows SDK 및 Visual Studio 설치

개발 환경에 필요한 Windows SDK 및 Visual Studio가 설치되어 있는지 확인하십시오.

기능 요구 사항

Unity에서 Windows 프로젝트를 게시한 후, 프로젝트가 Unity 환경에서 internetClient 기능을 지원하는지 확인합니다. 빌드 설정(Ctrl + Shift + B)을 열고 플랫폼에서 Windows 스토어를 선택한 후 플레이어 설정을 클릭합니다. 기능 메뉴의 퍼블리싱 설정 아래에서 다음과 같이 InternetClient 옵션을 선택합니다.

image3.jpg

프로젝트 구성 설정

Vungle 도구를 사용한 자동 구성

Vungle Windows SDK는 Windows 10 UWP, Windows Universal 8.1 및 Universal Phone 8.1 등의 세 가지 VungleSDK.winmd 파일로 구성됩니다. Windows용 Unity 5를 사용하는 경우, 지원되는 대상 플랫폼에 따라 .winmd 파일 일부 또는 전체를 구성해야 합니다.

이 과정에 사용할 수 있는 원클릭 도구가 마련되어 있습니다. 메뉴에서 도구Vungle로 이동하여 Windows 10 Build 준비 또는 Windows 8.1 Build 준비를 선택합니다.

image1.jpg

수동 구성

프로젝트 탭에서 적절한 Vungle SDK를 선택합니다. 플러그인 플랫폼 선택플랫폼 설정 섹션의 인스펙터 탭에서 다음 매개 변수가 적절히 설정되어 있는지 확인합니다.

  • Assets/Plugins/metro/VungleSDKProxy.winmd의 경우:
    플랫폼: WSAPlayer
    SDK: 모든 SDK
    플레이스 홀더: Assets/Plugins/VungleSDKProxy.dll

  • Assets/Plugins/metro/VungleSDK.winmd의 경우:
    플랫폼: WSAPlayer
    SDK: SDK81
  • Assets/Plugins/metro/UWP/VungleSDK.winmd의 경우:
    플랫폼: WSAPlayer
    SDK: UWP

  • Assets/Plugins/metro/WindowsPhone81/VungleSDK.winmd의 경우:
    플랫폼: WSAPlayer
    SDK: Phone SDK81

image4.png

중요: Unity 버전 5 이상을 사용하여 Universal 8.1 또는 Phone 8.1 프로젝트를 빌드하는 경우, 반드시 다음 두 가지 방법 중 하나로 Assets/Plugins/metro/UWP/VungleSDK.winmd 사용을 비활성화해야 합니다.

  • Assets/Plugins/metro/UWP/VungleSDK.winmdVungleSDK.winmd를 선택한 후 플러그인 플랫폼 선택 섹션의 인스펙터 탭에서 WSAPlayer 옵션을 제거하거나,

  • Assets/Plugins/metro/UWP/VungleSDK.winmd를 제거합니다.

Unity 4를 사용하는 경우, 플레이어 설정퍼블리셔 설정 으로 이동하여 다음의 설정을 변경합니다.

  • 처리되지 않은 플러그인: 크기 1
  • 요소 0: VungleSDKProxy.dll

image2.png

또 다른 질문이 있으십니까? 문의 등록

댓글